package com.njcn.harmonic.common.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.njcn.device.pq.pojo.vo.LineStateVO;
import com.njcn.harmonic.pojo.param.excel.ExcelParam;
import com.njcn.harmonic.pojo.po.excel.SysExcel;

import java.util.List;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author xy
 * @since 2026-01-27
 */
public interface ISysExcelService extends IService<SysExcel> {

    //新增
    boolean addSysExcel(ExcelParam param);

    //删除
    boolean deleteSysExcel(String id);

    //修改
    boolean updateSysExcel(ExcelParam.UpdateExcelParam param);

    //查询
    List<SysExcel> querySysExcel();

}
